Previous 1 2 Next 20 Replies Latest reply: Jul 26, 2013 7:09 PM by kriste01 Branched to a new discussion.
nic727 Level 1 Level 1 (0 points)

Hi,

 

I want to know if the model A1288 is able to download IOS 4.3, because all games need this version now and we can't download them.

The game I'm trying to download is "The hobbit - Kingdom of Middle-earth" and it require IOS 4.3 and I'm stuck at 4.2.1.

 

Can you make an update for this Ipod touch to be able to run this game?

Can you make an update for the game to be able to run the game with IOS 4.2.1?

 

thx it would be appreciate

 

Nicolas


iPod touch, iOS 4.2, Games, Update
Previous 1 2 Next